#  This file contains the labels, units, and format information for
#  the ENGINE_PERFORMANCE rdata and ldata arrays.  The rdata array is an
#  array of REAL_VARIABLES.  The index field in this file corresponds to
#  an index into that rdata array.  The definition of the usage of these
#  variables in contained in the file  /asset/inc/engine.h
#
#   The following table is used to initialize the labels, units, and format
#   strings of the rdata array in ENGINE_PERFORMANCE
#index      label          units  format     initial hst_save  tolerance
#                                            value
0           ctl_spd        RPM         1     -       OFF        5.0
1           dndt           RPM/SEC     1     -       OFF       1.0
2           Dyno_torq      LB-FT       1     -       OFF      10.0
3           Net_torq       LB-FT       1     -       OFF      10.0
4           Gross_torq     LB-FT       1     -       OFF      10.0
5           Dyno_power     HP          1     -       OFF       5.0
6           Fuel_rate      LB/HR       1     -       ON        0.5
7           BMEP           PSI         1     -       OFF       1.0
8           BSFC           LB/(HP-HR)  3     -       OFF       0.003
9           air_mtr0_mf    LB/MIN      1     -       OFF       1.0
10          air_vf         ft3/min     0     -       OFF       2.0
11          phi            NONE        3     -       OFF       0.1
12          AF_ratio       NONE        1     -       OFF       1.0
13          dndt_filter    NONE        2     -       OFF       0.01
14          volef_int      NONE        2     -       OFF       0.01
15          FA_I1          NONE        2     -       OFF       2.0
16          time           sec         2     -       OFF       1.0  
# not used 17          total_fuel     GAL         1     -       OFF       0.1
18          avl_smoke      BOSCH       1     -       OFF       0.1
19          H2O_pump_PF    NONE        0     -       ON       20.0
20          Cell_meter     HR          1     -       ON        1.0
21          engine_hrs     HR          3     -       OFF       1.0
22          test_hrs       HR          3     -       ON        1.0
23          barometer      IN_HG       2     -       ON        .1
24          vap_pa         IN_HG       2     -       ON        .1
25          lambda         none        2     -       ON        0.1 
26          air_mtr0_mfd   lb/min      1     -       OFF       1.0
# not used  27          Trq_cnv_K      none        4     -       OFF       1.0
28          hr_meter_th    rpm         0    150      OFF       1.0
29          assetmeter     hr          2     -       OFF       1.0
30          perf_spd       rpm         0     -       OFF       5.0
31          wind_dir       deg         0     -       OFF       15.
32          down_hrs       HR          3     -       OFF       1.0
33          last_run_tm    sec         0     -       OFF       1.0
34          dyno_FF        PCT         0     -       OFF       1.0
35          throttle_FF    PCT         0     -       OFF       1.0
36          unalloc_hrs    HR          3     -       OFF       1.0
37          occ_run_hrs    hr          1     -       OFF       1.0
38          occ_hrs        hr          1     -       OFF       1.0
39          install_time   sec         0     -       ON        60.0
40          mon_eng_spd    rpm         0     -       OFF       10.0
41          mon_dyno_spd   rpm         0     -       OFF       10.0
42          ctl_torq       lb_ft       1     -       OFF       10.0
43          target_test_hrs hr         0     -       OFF       1.0
44          volef_intR     NONE        2     -       OFF       0.01
45          volef_intL     NONE        2     -       OFF       0.01
46          volef_refR     NONE        2     -       OFF       0.01
47          volef_refL     NONE        2     -       OFF       0.01
#48          volef_ref      NONE        2     -       OFF       0.01
            

#47max

#   The following line with $PI is used as a separator for the program which
#   reads this file.  It indicates the end of the specifications for the
#   rdata array and the beginning of the specifications for the idata array.
$PI

#   The following table is used to initialize the labels, and units       
#   strings of the idata array in ENGINE_PERFORMANCE
#index      label          units      initial    hst_save     tolerance
#                                     value
   
0           test_cycles    INTEGER    -          ON           1
1           test_mode      NONE       -          ON           1
2           countdown      SEC        -          OFF          1
3           test_num       NONE       -          ON           1
4           occ_code       NONE       -          OFF          1
5           fuel_wt        LBM        -          OFF          1
6           smk_max_cyc    none       3          OFF          1
7           smk_cycle      none       -          OFF          1
8           smk_idle_tim   sec        30         OFF          1
9           smk_test       none       -          OFF          1
10          smk_repeat     none       0          OFF          1
11          PierErrCode    none       -          OFF          1
12          PierCondCode   none       -          OFF          1
13          cell_number    none       -          OFF          1
14          CVS_test_num   none       -          OFF          1
15          ctSequence     none       -          OFF          1
# the 3 parameters below require 99.Dec.A or later and are for the
# occupancy monitor
16          model_code     none       -          OFF          1
17          test_type_code none       -          OFF          1
18          pp_number      none       -          OFF          1
19          target_count   none       -          OFF          1

#31max

#  The following line with $PFR is used as a separator for the program which
#  reads this file.  It indicates the end of the specifications for the
#  idata array and the beginning of specifications for the rdata array in
#  the FUEL_READING_DATA data structure.
$PFR

#  The following table is used to initialize the labels, units, and format
#  strings of the rdata array in FUEL_READING_DATA
#index      label          units       format   initial  hst_save  tolerance
#                                               value 

0           FR_RPM         RPM         0        -        OFF       1.0   
1           FR_TORQUE      LB-FT       1        -        OFF       1.0   
2           FR_BHP         HP          1        -        OFF       1.0   
3           FR_Fuel_rate   LB/HR       1        -        OFF       1.0   
4           FR_BMEP        PSI         1        -        OFF       1.0   
5           FR_BSFC        LB/(HP-HR)  3        0.345    OFF       1.0   
6           FR_air_mf      LB/MIN      2        -        OFF       1.0   
7           FR_air_vf      ft3/min     0        -        OFF       1.0   
8           FR_phi         NONE        3        -        OFF       1.0   
9           FR_AF_ratio    NONE        1        -        OFF       1.0   
10          FR_volef_amb   NONE        2        -        OFF       1.0   
11          FR_volef_mnf   NONE        2        -        OFF       1.0   
12          FR_cubmil      MM3         1        -        OFF       1.0   
13          FR_test_hrs    HR          1        -        OFF       1.0   
14          FR_avl_smoke   BOSCH       2        -        OFF       1.0   
15          FR_wt          LBM         3        -        OFF       1.0   
16          FR_time        MIN         3        -        OFF       1.0   
17          FR_runtime     MIN         3        -        OFF       1.0   
18          stoic_fa       NONE        4       .067      OFF       1.0   
19          fuel_density   lb/ft3       3       53.065   OFF       1.0
20          target_fr_tm   min         1        2.0      OFF       1.0
21          n0_wt_size     LBM         1        0.5      OFF       1.0
22          n1_wt_size     LBM         3        1.0      OFF       1.0
23          n2_wt_size     LBM         3        2.0      OFF       1.0 
24          n3_wt_size     LBM         3        4.0      OFF       1.0 
25          FR_mg_stroke   MG          1        -        OFF       1.0
26          FR_speed_var   RPM         1        -        OFF       1.0 
27          FR_torq_var    LB-FT       1        -        OFF       1.0 
28          FR_airmf_var   lb/min      1        -        OFF       1.0 
29          max_scale_wt   lbm         1        15.0     OFF       1.0

#note - the buoyancy_CF will be modified based on the value in the file
#       /cell/fr_buoyancy_CF

30          buoyancy_CF    none        4        1.0      OFF       1.0
31          BSFC_ref       

#31max

$PFI
0           PAM_point      NONE        -        OFF       1
1           DII_wt_sense   LBM         -        OFF       1
2           num_scale_wt   none        4        OFF       1
3           rqst_wt_bits   NONE        1        OFF       1
4           fr_wrt_delay   sec         2        OFF       1
5           transfer_node  none        1        OFF       1

#7max

#*******************************************************************************
#
#     Performance Labels: Counter Inputs
#
#*******************************************************************************
#
#  The following tables specify the Fuel Reading results for Counter Inputs:
#
#        $PFRDC block: Counter "deltas" (differences) from start to end of
#                      Fuel Reading.
#        $PFRTC block: Counter "totals" at end of Fuel Reading.
#
#  Each entry is given a label, units, and display format.  Optional fields
#  may be added for initial value, history save (ON/OFF), and tolerance.
#
#  The index here must match the index for the corresponding Counter Input (CI)
#  entry in the Input Specs file /asset/specs/inpt_specs.nnn.
#
#*******************************************************************************

$PFRDC

#index      label          units  format   initial   hst_save  tolerance
8           total_revs     rev       0       -         OFF        1.0
12          FR_fuel        gal       0        -        OFF        1.0

$PFRTC

#index      label          units  format   initial   hst_save  tolerance
8           revs_total     rev       0       -         OFF        1.0
12          FR_fuel_totl   gal       0       -         OFF        1.0



$PFSTRINGS
# 
# string variables for datapoints
# strings may display on the console as a standard variable if it is
# 12 characters or less, or like a display STRING if it is 80 characters
# or less.  These are called short and long string variables.  For
# this spec file, the string may be entered without surrounding it
# with quotes, with single quotes, or with double quotes.  
#
# The double quotes force it to be displayed as a long string regardless of 
# length. 
#
# Any string which is longer than 12 characters when initialized here,
# is automatically designated as a long string.
#
# The single quotes are used to enclose a short string which contains
# blanks.
#
# Examples:
#
# short strings
#  	none						- less than 15
#   'my stuff'				    - less than 15
#
# long strings
# 	abcdefghijklmnop            - more than 15
#   "my stuff"                  - double quotes force this to be long
#   'my stuff is too long'      - more than 15
#
#index   label       'string'  "use double quotes for more than 15 characters"

0        FR_log_file "/data/fuel_log/default.log"
1        Test_ID        - ''
2        LastFRtm       - ''
3        LastFRdate     - ''
4        LastFR         - ""
5        HSDA_file      - ""
6        FR_count       '0 of 0'
7        DP_outliers    - ""
8        DP_pass_confd  - ""
9        DP_fail_confd  - ""
10       DP_syncPending - ""
11       DP_syncSet     - ""
12       Test_ID_extn   - ''
#15max
$END

